"""
Configs migration

Generation datetime: 2021-04-30 09:05:08.840594
"""

from typing import List

from configs_core.migration.db_migrate_helper import DatabaseMigrationHelper as mh, LimitationToModify

REVISION = "e2e46545"
DOWN_REVISION = "718ab447"


limitationsToModify: List[LimitationToModify] = [
    LimitationToModify(
        limitationName="LUNA_INDEX_MANAGER_ADDRESS",
        oldDefaultValue={"origin": "http://127.0.0.1:5060", "api_version": 1},
        newDefaultValue={"origin": "http://127.0.0.1:5150", "api_version": 1},
        settingUpgradeFunction=None,
        settingDowngradeFunction=None,
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-admin", "luna-matcher-proxy"],
        newServices=["luna-admin", "luna-matcher-proxy"],
    ),
]


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)
