"""

Configs migration



Generation datetime: 2022-07-05 09:35:19.128298

"""

from typing import List

from configs_core.migration.db_migrate_helper import DatabaseMigrationHelper, LimitationToModify

mh: DatabaseMigrationHelper


REVISION = "1c416fe4"

DOWN_REVISION = "8fcaa9de"


limitationsToModify: List[LimitationToModify] = [
    LimitationToModify(
        limitationName="LUNA_HANDLERS_HUMAN_DETECTOR_RUNTIME_SETTINGS",
        oldDefaultValue={
            "device_class": "cpu",
            "num_threads": 4,
            "num_compute_streams": 4,
        },
        newDefaultValue={
            "device_class": "cpu",
            "num_threads": 6,
            "num_compute_streams": 4,
        },
        settingUpgradeFunction=None,
        settingDowngradeFunction=None,
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-handlers"],
        newServices=["luna-handlers"],
    ),
    LimitationToModify(
        limitationName="LUNA_HANDLERS_WARP_ESTIMATOR_RUNTIME_SETTINGS",
        oldDefaultValue={
            "device_class": "cpu",
            "num_threads": 4,
            "num_compute_streams": 4,
        },
        newDefaultValue={
            "device_class": "cpu",
            "num_threads": 6,
            "num_compute_streams": 4,
        },
        settingUpgradeFunction=None,
        settingDowngradeFunction=None,
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-handlers"],
        newServices=["luna-handlers"],
    ),
    LimitationToModify(
        limitationName="LUNA_HANDLERS_HUMAN_EXTRACTOR_RUNTIME_SETTINGS",
        oldDefaultValue={
            "device_class": "cpu",
            "num_threads": 4,
            "num_compute_streams": 4,
        },
        newDefaultValue={
            "device_class": "cpu",
            "num_threads": 6,
            "num_compute_streams": 4,
        },
        settingUpgradeFunction=None,
        settingDowngradeFunction=None,
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-handlers"],
        newServices=["luna-handlers"],
    ),
    LimitationToModify(
        limitationName="LUNA_HANDLERS_DETECTOR_RUNTIME_SETTINGS",
        oldDefaultValue={
            "device_class": "cpu",
            "num_threads": 4,
            "num_compute_streams": 4,
        },
        newDefaultValue={
            "device_class": "cpu",
            "num_threads": 6,
            "num_compute_streams": 4,
        },
        settingUpgradeFunction=None,
        settingDowngradeFunction=None,
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-handlers"],
        newServices=["luna-handlers"],
    ),
    LimitationToModify(
        limitationName="LUNA_HANDLERS_EXTRACTOR_RUNTIME_SETTINGS",
        oldDefaultValue={
            "device_class": "cpu",
            "num_threads": 4,
            "num_compute_streams": 4,
        },
        newDefaultValue={
            "device_class": "cpu",
            "num_threads": 6,
            "num_compute_streams": 4,
        },
        settingUpgradeFunction=None,
        settingDowngradeFunction=None,
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-handlers"],
        newServices=["luna-handlers"],
    ),
]


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to modify

    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify

    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)
